Summary:        A parallel implementation of gzip
Name:           pigz
Version:        2.7
Release:        5%{?dist}
License:        zlib
URL:            https://www.zlib.net/pigz/
Source0:        https://www.zlib.net/%{name}/%{name}-%{version}.tar.gz
Patch0001:		0001-Fix-NOTHREAD-compile-error-for-combination-code.patch

BuildRequires:  gcc make
BuildRequires:  zlib-devel

%description
pigz, which stands for parallel implementation of gzip, is a fully 
functional replacement for gzip that exploits multiple processors 
and multiple cores to the hilt when compressing data.

%prep
%autosetup -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
install -p -D pigz %{buildroot}%{_bindir}/pigz
pushd %{buildroot}%{_bindir}
ln pigz unpigz
popd
install -p -D pigz.1 -m 0644 %{buildroot}%{_mandir}/man1/pigz.1

%check
make tests CFLAGS="$RPM_OPT_FLAGS"

%files
%license README
%{_bindir}/pigz
%{_bindir}/unpigz
%{_mandir}/man1/pigz.*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.7-1
- Initial build
